> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yiksipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Master Wallet Get Quote

> This endpoint allows you to retrieve a quote for swapping assets.

### Body Parameters

| Key | **Required** | Type | Description |
| --- | --- | --- | --- |
| fromAssetId | true | string | The master wallet asset id to swap from. |
| toAssetId | true | string | The master wallet asset id to swap to. |
| amount | true | string | The amount to swap. |
| recipientAddress | false | string | The external address you want to swap to |
| order | false | string | eg, FASTEST, CHEAPEST, RECOMMENDED, NO_SLIPPAGE |



## OpenAPI

````yaml post /v1/wallets/{walletId}/swaps/quote
openapi: 3.0.3
info:
  title: Yiksi Pay Documentation
  description: >-
    The OpenAPI specification of the Yiksi Pay API that enables fintechs and
    developers to seamlessly integrate stablecoin deposits and payments into
    their products.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.yiksipay.com
security:
  - apiKey: []
tags:
  - name: Wallet
    description: >-
      Wallet Management System


      Comprehensive wallet management API for multi-blockchain operations. This
      system handles wallet creation, configuration, balance monitoring, and
      integration with various blockchain networks.


      Core Functionality:


      - Multi-blockchain wallet creation and management
          
      - Balance monitoring and asset tracking
          
      - Auto-settlement rule configuration
          
      - Address generation and management
          
      - Transaction monitoring and processing
  - name: Addresses
    description: >-
      Address Management System


      Comprehensive blockchain address management API for operations. This
      system handles address creation, validation, monitoring, and management
      across multiple blockchain networks.  


      Core Functionality:


      - Multi-blockchain address generation
          
      - Address validation and verification
          
      - Balance monitoring and tracking
          
      - Transaction history management
          
      - Address labeling and organization
          
      - Integration with wallet systems
          
      - Real-time address monitoring
  - name: Asset
  - name: Transactions
  - name: Withdraw
    description: >-
      The Withdraw feature allows you to programmatically withdraw stablecoins
      from your master wallet with ease
  - name: Signing
    description: >-
      Typed data signing service for secure transaction authorization. Supports
      all EIP-712 standards including EIP-3009 (TransferWithAuthorization) and
      EIP-2612 (Permit).
  - name: Swap
    description: >-
      The Swap feature enables users to exchange one stabelcoin asset for
      another across different blockchains. This feature provides a seamless way
      to convert between different stablecoins while maintaining security and
      compliance standards.
  - name: Auto Settlements
    description: >-
      Creates a new auto settlement rule for a wallet. Auto settlement
      automatically transfers/swap assets based on configured rules when certain
      conditions are met.


      Rules can be configured for:


      - Source blockchain and assets
          
      - Destination blockchain and asset
          
      - Amount ranges (min/max)
          
      - Slippage tolerance
          
  - name: Smart Contract
    description: >-
      This API provides endpoints for interacting with smart contracts on the
      blockchain. It allows for reading contract data, executing contract
      functions, and estimating network fees.
  - name: Beneficiaries
    description: >-
      This API allows you to create beneficiaries with automatic settlements to
      your external wallets on a periodic basis.


      Example frequencies: INSTANT, DAILY, WEEKLY, MONTHLY, YEARLY
  - name: AML
    description: >-
      The AML (Anti Money Laundering) API provides a quick way for you to check
      if an address is blacklisted or sanctioned
  - name: Asset Recovery
    description: >-
      Enables the recovery (salvage) of both native blockchain assets and tokens
      from a specified sender address to a recipient address. This feature
      supports emergency fund recovery and asset consolidation operations.
  - name: Miscellaneous
    description: >-
      The Miscellaneous API are supporting APIs that can be used to provide more
      details to other APIs.
  - name: Asset1
  - name: Blockchain
  - name: Webhooks
    description: >-
      Webhooks allow you to set up a notification system that can be used to
      receive updates on certain requests made to the Yiksi Pay API.  
        
      To see full list and instructions
      [https://docs.yiksipay.com/essentials/webhooks](https://docs.yiksipay.com/essentials/webhooks)


      ##
  - name: Deposit
  - name: Withdraw1
  - name: Swap1
paths:
  /v1/wallets/{walletId}/swaps/quote:
    parameters:
      - name: walletId
        in: path
        required: true
        schema:
          type: string
          example: YOUR_WALLET_ID
    post:
      tags:
        - Swap
      summary: Master Wallet Get Quote
      description: >-
        This endpoint allows you to retrieve a quote for swapping assets.


        ### Body Parameters


        | Key | **Required** | Type | Description |

        | --- | --- | --- | --- |

        | fromAssetId | true | string | The master wallet asset id to swap from.
        |

        | toAssetId | true | string | The master wallet asset id to swap to. |

        | amount | true | string | The amount to swap. |

        | recipientAddress | false | string | The external address you want to
        swap to |

        | order | false | string | eg, FASTEST, CHEAPEST, RECOMMENDED,
        NO_SLIPPAGE |
      operationId: masterWalletGetQuote
      requestBody:
        content:
          application/json:
            examples:
              Master Wallet Get Quote:
                value: |-
                  {
                      "amount": "1000",
                      "fromAssetId": "eda105b9-9471-4149-adb3-7dbf285ec0ab",
                      "toAssetId": "84c8ad33-1450-4d61-9f8f-f0505039f2ec",
                      "order": "RECOMMENDED" // FASTEST, CHEAPEST, RECOMMENDED, NO_SLIPPAGE
                  }
      responses:
        '200':
          description: 200 - External Recipient Address / 200 - Recipient Master Wallet
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      amount:
                        type: string
                        example: '999.208698'
                      estimatedArrivalTime:
                        type: number
                        example: 30
                      impact:
                        type: string
                        example: '-0.08'
                      impactInUSD:
                        type: string
                        example: '-0.791264'
                      minAmount:
                        type: string
                        example: '989.208'
                      nativeBalance:
                        type: string
                        example: '0.000857699568686543'
                      nativeBalanceInUSD:
                        type: string
                        example: '1.56912705292928295678'
                      networkFee:
                        type: string
                        example: '0.000090678936279694'
                      networkFeeInUSD:
                        type: string
                        example: '0.16589348676624898524'
                      rate:
                        type: string
                        example: '0.999208698'
                      slippage:
                        type: string
                        example: '1.00'
                      transactionFee:
                        type: number
                        example: 0
                  message:
                    type: string
                    example: Swap quote fetched successfully
                  statusCode:
                    type: number
                    example: 200
              examples:
                200 - External Recipient Address:
                  value:
                    data:
                      amount: '999.208698'
                      estimatedArrivalTime: 30
                      impact: '-0.08'
                      impactInUSD: '-0.791264'
                      minAmount: '989.208'
                      nativeBalance: '0.000857699568686543'
                      nativeBalanceInUSD: '1.56912705292928295678'
                      networkFee: '0.000090678936279694'
                      networkFeeInUSD: '0.16589348676624898524'
                      rate: '0.999208698'
                      slippage: '1.00'
                      transactionFee: 0
                    message: Swap quote fetched successfully
                    statusCode: 200
                200 - Recipient Master Wallet:
                  value:
                    data:
                      amount: '999.208698'
                      estimatedArrivalTime: 30
                      impact: '-0.08'
                      impactInUSD: '-0.791264'
                      minAmount: '989.208'
                      nativeBalance: '0.000857699568686543'
                      nativeBalanceInUSD: '1.56912705292928295678'
                      networkFee: '0.000090678936279694'
                      networkFeeInUSD: '0.16589348676624898524'
                      rate: '0.999208698'
                      slippage: '1.00'
                      transactionFee: 0
                    message: Swap quote fetched successfully
                    statusCode: 200
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````